Show default assignee when creating new issue
2017-08-14 14:55 - Andreas Deininger

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

With new redmine version, 3.4, a default assignee can be specified (which is great).

However, contrary to a stipulated default target version, the stipluated default assignee does show up when creating a new ticket:
DefaultAssignee.png

It would be nice to see the default assignee immediately in place when creating a new issue. When changing the category and the

default assignee wasn't changed yet, it could be set to assignee responsible for this category.

Note: This feature wish was discussed and approved in #26072 already, with this ticket, we now have a separate issue for this
feature request in place.

Related issues:

Related to Redmine - Defect #26072: Set default assignee before validation Closed
Related to Redmine - Feature #15919: Set default category assignee immediatel... Closed
History

#1 - 2017-09-13 05:31 - Toshi MARUYAMA

- Description updated

#2 - 2017-09-13 05:33 - Toshi MARUYAMA
- Related to Defect #26072: Set default assignee before validation added

#3 - 2017-10-29 05:21 - Go MAEDA

- Related to Feature #15919: Set default category assignee immediately upon category selection added

#4 - 2017-11-26 13:12 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2018-04-30 11:52 - Marius BALTEANU

Go Maeda, the patch 0002-Set-default_assigned_to_id-in-project.patch from #15919 is not ready for commit from my point of view. I'll add my
feedback soon.

#6 - 2018-04-30 13:40 - Go MAEDA
Marius BALTEANU wrote:

Go Maeda, the patch 0002-Set-default_assigned_to_id-in-project.patch from #15919 is not ready for commit from my point of view. I'll add my
feedback soon.

Yes, | found a problem that assignee field is not set when a user opens "New issue" page.

#7 - 2018-06-22 13:42 - Marius BALTEANU
Go MAEDA wrote:

Yes, | found a problem that assignee field is not set when a user opens "New issue" page.

It is easy to fix this issue, but what should be the expected results for the following case:
https://www.redmine.org/issues/15919

. Go to project settings

. Set a default assignee

. Set category A with no assignee

. Set category B with a default assignee different than the default project assignee
Go to new issue page

. The default project assignee is automatically selected

. Select category A

. Select category B

Expected results for steps 7 and 8 from my point of view:
7. The default project assignee remains selected because the category A has no default assignee
8. Assignee changes from project default assignee to category default assignee
